Category: Importers Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Issue importer supports some date formats but "YYYY/MM/DD". I think Redmine should also support the date format

"YYYY/MM/DD".

In Redmine, "YYYY/MM/DD" (%Y/%m/%d) is the default format for Basque (eu), Persian (fa), Japanese (ja), Korean (ko), and

Mongolian (mn) languages. This means that when a user whose language setting is one of those languages exports issues to CSV,

the date format in the CSV file is "YYYY/MM/DD".

But the CSV file exported from Redmine cannot be imported to Redmine because CSV importer does not support "YYYY/MM/DD".

This is confusing and I know some Japanese users complain about this.

 

Associated revisions

Revision 18205 - 2019-05-30 02:35 - Go MAEDA

Support "YYYY/MM/DD" date format when importing issues (#31450).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-05-28 09:36 - Mizuki ISHIKAWA

- File feature-31450.patch added

I have attached a patch to support "YYYY/MM/DD" date format.

#2 - 2019-05-28 09:48 - Go MAEDA

- Target version set to 4.1.0

Thank you for writing the patch. I am setting the target version to 4.1.0.

#3 - 2019-05-30 02:35 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thanks.

Files

import-date-formats@2x.png 30.1 KB 2019-05-25 Go MAEDA

feature-31450.patch 1.52 KB 2019-05-28 Mizuki ISHIKAWA
